Skip to content
Start here

Create Web3 Hostname

POST/zones/{zone_id}/web3/hostnames

Create Web3 Hostname

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Web3 Hostnames Write
Path ParametersExpand Collapse
zone_id: string

Specify the identifier of the hostname.

maxLength32
Body ParametersJSONExpand Collapse
name: string

Specify the hostname that points to the target gateway via CNAME.

maxLength255
target: "ethereum" or "ipfs" or "ipfs_universal_path"

Specify the target gateway of the hostname.

One of the following:
"ethereum"
"ipfs"
"ipfs_universal_path"
description: optional string

Specify an optional description of the hostname.

maxLength500
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: Hostname { id, created_on, description, 5 more }
id: optional string

Specify the identifier of the hostname.

maxLength32
created_on: optional string
formatdate-time
description: optional string

Specify an optional description of the hostname.

maxLength500
modified_on: optional string
formatdate-time
name: optional string

Specify the hostname that points to the target gateway via CNAME.

maxLength255
status: optional "active" or "pending" or "deleting" or "error"

Specifies the status of the hostname's activation.

One of the following:
"active"
"pending"
"deleting"
"error"
target: optional "ethereum" or "ipfs" or "ipfs_universal_path"

Specify the target gateway of the hostname.

One of the following:
"ethereum"
"ipfs"
"ipfs_universal_path"
success: true

Specifies whether the API call was successful.

result_info: optional unknown or string

Provides the API response.

One of the following:
unknown
string

Create Web3 Hostname

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/web3/hostnames \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "name": "gateway.example.com",
          "target": "ipfs",
          "description": "This is my IPFS gateway.",
          "dnslink": "/ipns/onboarding.ipfs.cloudflare.com"
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "This is my IPFS gateway.",
    "dnslink": "/ipns/onboarding.ipfs.cloudflare.com",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "gateway.example.com",
    "status": "active",
    "target": "ipfs"
  },
  "success": true,
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "This is my IPFS gateway.",
    "dnslink": "/ipns/onboarding.ipfs.cloudflare.com",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "name": "gateway.example.com",
    "status": "active",
    "target": "ipfs"
  },
  "success": true,
  "result_info": {}
}